<template>
  <div class="sw-gs-widget-guide-product-list">
    <div v-if="guideLikeList.length > 0"
         class="sw-gs-guide-products-wrapper">
      <div v-for="likeListItem in guideLikeList" :key="likeListItem.id">
        <SwGsLayerProductCardHorizontal :product="likeListItem"></SwGsLayerProductCardHorizontal>
      </div>
    </div>
    <div v-else
         class="sw-gs-guide-products-wrapper-empty">
      <span>{{ $t('No Products yet.') }}</span>
    </div>
  </div>
</template>

<script lang="ts">
  import SwGsLayerProductCardHorizontal from "../layer/SwGsLayerProductCardHorizontal.vue";
  import {useLikeList} from "../../logic/composables/useLikeList";
  import { onMounted } from "@vue/composition-api"

  export default {
    name: "SwGsGuideProductList",
    components: {
      SwGsLayerProductCardHorizontal
    },

    setup() {
      const {
        guideLikeList,
        guideLike,
        removeFromGuideList,
        loadGuideProductList
      } = useLikeList();

      onMounted(async () => {
        await loadGuideProductList();
      });

      return {
        guideLikeList,
        guideLike,
        removeFromGuideList
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "@/assets/scss/variables";
</style>
